import time

import allure
import pytest

from page.commentPage import CommentPage
from page.loginPage import LoginPage
from page.searchPage import SearchPage

# epic 简单理解 项目名
# feature 功能模块名
# story 相当于 功能模块的整体描述
# title 用例标题   @allure.title("登陆成功用例") 固定用例标题
# allure.dynamic.title 动态用例标题
# @allure.testcase("用例链接")
# @allure.issue("缺陷链接")
# @allure.description("登陆失败,这是没问题的描述")
# @allure.severity("用例级别")
# @allure.step(步骤) 函数上固定
# 业务逻辑的步骤 函数里面加步骤 with allure.step()

@allure.epic("读书屋项目")
class TestComment:
    @allure.feature("评论功能")
    @allure.story("这是评论功能噢")
    @allure.title("登陆-搜索书籍进行评论用例")
    def test_comment(self,driver):
        # 登陆
        l=LoginPage(driver)
        l.login("15574113907","123456")
        time.sleep(3)
        # 搜索书籍
        s = SearchPage(driver)
        s.search_book("云上夕轮")
        # 点击评论
        c=CommentPage(driver)
        c.comment("云上夕轮")
        sjmsg=c.get_result_text()
        assert sjmsg=='已评价过该书籍！',"评论失败"

    # 有问题 1  没问题 2

if __name__ == '__main__':
    pytest.main([__file__,'-sv'])